## org.eclipse.datatools.modelbase.sql.query.impl
Class SuperGroupElementExpressionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.SuperGroupElementImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.SuperGroupElementExpressionImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, SuperGroupElement, SuperGroupElementExpression

public class SuperGroupElementExpressionImpl
extends SuperGroupElementImpl
implements SuperGroupElementExpression

An implementation of the model object 'SQL Super Group Element Expression'.

The following features are implemented:

- `Super Group Element Sublist`
- `Grouping Expr`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetGroupingExpr(GroupingExpression newGroupingExpr, NotificationChain msgs)`
`NotificationChain` `basicSetSuperGroupElementSublist(SuperGroupElementSublist newSuperGroupElementSublist, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`GroupingExpression` `getGroupingExpr()`
`SuperGroupElementSublist` `getSuperGroupElementSublist()`
`void` `setGroupingExpr(GroupingExpression newGroupingExpr)`
`void` `setSuperGroupElementSublist(SuperGroupElementSublist newSuperGroupElementSublist)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SuperGroupElementImpl
`basicSetSuperGroup, getSuperGroup, setSuperGroup`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SuperGroupElement
`getSuperGroup, setSuperGroup`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSuperGroupElementSublist

    public SuperGroupElementSublist getSuperGroupElementSublist()

  Specified by:
    `getSuperGroupElementSublist` in interface `SuperGroupElementExpression`
  Returns:
    the value of the 'Super Group Element Sublist' container reference.
  See Also:
    `SuperGroupElementExpression.setSuperGroupElementSublist(SuperGroupElementSublist)`, `SQLQueryModelPackage.getSuperGroupElementExpression_SuperGroupElementSublist()`, `SuperGroupElementSublist.getSuperGroupElementExprList()`

### basicSetSuperGroupElementSublist

    public NotificationChain basicSetSuperGroupElementSublist(SuperGroupElementSublist newSuperGroupElementSublist,
                                                              NotificationChain msgs)

### setSuperGroupElementSublist

    public void setSuperGroupElementSublist(SuperGroupElementSublist newSuperGroupElementSublist)

  Specified by:
    `setSuperGroupElementSublist` in interface `SuperGroupElementExpression`
  Parameters:
    `newSuperGroupElementSublist` - the new value of the 'Super Group Element Sublist' container reference.
  See Also:
    `SuperGroupElementExpression.getSuperGroupElementSublist()`

### getGroupingExpr

    public GroupingExpression getGroupingExpr()

  Specified by:
    `getGroupingExpr` in interface `SuperGroupElementExpression`
  Returns:
    the value of the 'Grouping Expr' containment reference.
  See Also:
    `SuperGroupElementExpression.setGroupingExpr(GroupingExpression)`, `SQLQueryModelPackage.getSuperGroupElementExpression_GroupingExpr()`, `GroupingExpression.getSuperGroupElementExpr()`

### basicSetGroupingExpr

    public NotificationChain basicSetGroupingExpr(GroupingExpression newGroupingExpr,
                                                  NotificationChain msgs)

### setGroupingExpr

    public void setGroupingExpr(GroupingExpression newGroupingExpr)

  Specified by:
    `setGroupingExpr` in interface `SuperGroupElementExpression`
  Parameters:
    `newGroupingExpr` - the new value of the 'Grouping Expr' containment reference.
  See Also:
    `SuperGroupElementExpression.getGroupingExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SuperGroupElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SuperGroupElementImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `SuperGroupElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SuperGroupElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SuperGroupElementImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SuperGroupElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SuperGroupElementImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.